Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • 🚧 [Experimental] Get QL chart
        • Delete QL chart
        • 🚧 [Experimental] Update QL chart
        • 🚧 [Experimental] Create QL chart
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • EntryAnnotationArg
  • EntryLocationIdentifiers
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. QL
  4. 🚧 [Experimental] Create QL chart
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
    • EntryAnnotationArg
    • EntryLocationIdentifiers
  • Responses
  • 200 OK
    • Body

🚧 [Experimental] Create QL chart

Creates a new QL chart.

RequestRequest

POST

https://api.datalens.tech/rpc/createQLChart

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "template": "ql",
  "annotation": {
    "description": "example"
  },
  "data": {},
  "key": "example",
  "workbookId": "example",
  "name": "example"
}
All of 2 types
  • Type: object

    data

    Type: object

    [additional]

    Type: unknown

    Example: null

    Example
    {}
    

    template

    Type: string

    Const: ql

    Example: example

    annotation

    Type: EntryAnnotationArg

    Example
    {
      "description": "example"
    }
    

    [additional]

    Type: unknown

    Example: null

    Example
    {
      "template": "ql",
      "annotation": {
        "description": "example"
      },
      "data": {}
    }
    
  • Type: EntryLocationIdentifiers

    Example
    {
      "key": "example",
      "workbookId": "example",
      "name": "example"
    }
    

EntryAnnotationArgEntryAnnotationArg

Name

Description

description

Type: string

Description of the entry.

Example: example

Example
{
  "description": "example"
}

EntryLocationIdentifiersEntryLocationIdentifiers

Name

Description

key

Type: string

Entry key when creating the entry in a folder.

Example: example

name

Type: string

Entry name when creating the entry in a workbook.

Example: example

workbookId

Type: string

ID of the workbook where the entry should be created.

Example: example

Example
{
  "key": "example",
  "workbookId": "example",
  "name": "example"
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{}

Name

Description

[additional]

Type: unknown

Example: null

Was the article helpful?

Previous
🚧 [Experimental] Update QL chart
Next
Overview
© 2026 Direct Cursus Technology L.L.C.